<div class="container">
    <div class="row">
        <div *ngIf="(game === null && isGameLoading) || gameLoadingError !== null" class="loading-zone col-lg-12">
            <div class="loading-info" [ngClass]="{error: gameLoadingError !== null}">
                <ng-container *ngIf="isGameLoading">
                    Chargement...
                </ng-container>
                <ng-container *ngIf="gameLoadingError !== null">
                    {{gameLoadingError}}

                    <a [routerLink]="['/game/init']" class="btn btn-secondary btn-lg">
                        Créer une nouvelle partie
                    </a>
                </ng-container>
            </div>
        </div>

        <div class="main-zone col-lg-7">
            <div *ngIf="game !== null" class="top-zone row">
                <div class="deck">
                    <span class="deck-cards">{{game.nbCardsInDeck}}</span>
                </div>

                <div class="clue-zone">
                    <ul class="clue-zone-row">
                        <ng-container *ngFor="let color of game.colors">
                            <li *ngIf="color !== COLORS.MULTI || game.showMulti"
                                (click)="selectClue(color)"
                                [ngClass]="{selected: selectedClue === color}"
                                [class]="color + ' clue-item'">
                                <span>{{initial(color)}}</span>
                            </li>
                        </ng-container>
                    </ul>

                    <ul class="clue-zone-row">
                        <li *ngFor="let value of VALUES" (click)="selectClue(value)"
                            [ngClass]="{selected: selectedClue === value}"
                            [class]="value + ' clue-item'">
                            <span>{{value}}</span>
                        </li>
                    </ul>
                </div>

                <div class="token-zone">
                    <span [title]="getModeDescription(game.mode)">
                        Mode <strong>{{getModeLabel(game.mode)}}</strong>
                        <img src="assets/img/icon-question.svg" alt="infos" />
                    </span>

                    <span>
                        <span class="clue-tokens">
                            Jetons indice :
                            <strong>{{game.nbClueTokens}}/{{game.nbClueTokenMax}}</strong>
                        </span>
                        <span class="bomb-tokens">
                            Bombes :
                            <strong>{{game.nbBombs}}/{{game.nbBombMax + 1}}</strong>
                        </span>
                    </span>
                </div>
            </div>

            <div *ngIf="game !== null" class="middle-zone row">
                <div class="played-cards" [ngClass]="{hoverable: selectedCard !== null}"
                     (click)="playCard(selectedCard)"
                     [title]="selectedCard !== null ? 'Jouer la carte' : ''">
                    <div *ngFor="let color of game.colors" class="card" [ngClass]="color">
                        <span>{{getPlayedCard(color)}}</span>
                    </div>
                </div>
            </div>

            <div *ngIf="game !== null" class="bottom-zone row">
                <div class="discarded-cards" [ngClass]="{hoverable: selectedCard !== null}"
                     (click)="discardCard(selectedCard)"
                     [title]="selectedCard !== null ? 'Défausser la carte' : ''">
                    <ul *ngFor="let color of game.colors" [class]="color">
                        <li><span>{{initial(color)}}</span></li>

                        <li *ngFor="let card of game.discardedCards[color]">
                            <span>{{card}}</span>
                        </li>

                        <li *ngIf="game.discardedCards[color].length === 0" class="none">
                            -
                        </li>
                    </ul>
                </div>
            </div>
        </div>

        <div *ngIf="game !== null" class="right-zone col-lg-5">
            <div *ngFor="let player of game.players; let i = index"
                 class="{{'player-'+i}} player-zone"
                 [ngClass]="{hoverable: i > 0 && selectedClue !== null}"
                 (click)="clue(selectedClue, player)"
                 [title]="i > 0 && selectedClue !== null ? 'Donner l\'indice ' + selectedClue +' à '+player.name : ''">
                <div class="player-name" [ngClass]="{active: i === game.activePlayerIndex}">
                    <span>{{player.name}}</span>
                    <ng-container *ngIf="i === game.activePlayerIndex"> (actif)</ng-container>
                </div>
                <div class="card-zone">
                    <ul>
                        <li *ngFor="let card of player.hand.reverse()" class="card"
                            [ngClass]="{
                                selected: i === 0 && card === selectedCard,
                                highlighted: i > 0 && shouldBeHighlighted(card)
                            }"
                            (click)="selectCard(i === 0 ? card : null)"
                        >
                            <span [class]="i > 0 ? card.color : ''">
                                <ng-container *ngIf="i > 0">
                                    {{initial(card.color)}}{{card.value}}
                                </ng-container>
                                <ng-container *ngIf="i === 0">
                                    ?
                                </ng-container>
                            </span>

                            <span *ngIf="card.clues.color" class="clue-1 clue {{card.clues.color}}">
                                {{initial(card.clues.color)}}
                            </span>
                            <span *ngIf="card.clues.value" class="clue-2 clue">
                                {{card.clues.value}}
                            </span>
                        </li>
                    </ul>
                </div>
            </div>

            <div *ngIf="game !== null" class="history-zone">
                <h2>Historique</h2>

                <ul *ngIf="game.history.length > 0">
                    <ng-container *ngFor="let message of game.history.reverse()">
                        <li [innerHTML]="formatMessage(message)| keepHtml" class="message"></li>
                    </ng-container>
                </ul>
            </div>
        </div>
    </div>
</div>
